## edu.cwru.SimpleRTS.action
Class DirectedAction

    java.lang.Object
      edu.cwru.SimpleRTS.action.Action
          edu.cwru.SimpleRTS.action.DirectedAction

    public class DirectedAction

extends Action

Constructor Summary
`DirectedAction(int unitid, ActionType type, Direction direction)`

Method Summary
`Direction` `getDirection()`
`java.lang.String` `toString()`

Methods inherited from class edu.cwru.SimpleRTS.action.Action
`createCompoundAttack, createCompoundBuild, createCompoundDeposit, createCompoundGather, createCompoundMove, createCompoundProduction, createFail, createPermanentFail, createPrimitiveBuild, createPrimitiveDeposit, createPrimitiveGather, createPrimitiveMove, createPrimitiveProduction, getType, getUnitId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirectedAction

    public DirectedAction(int unitid,
                          ActionType type,
                          Direction direction)

Method Detail

### getDirection

    public Direction getDirection()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Action`